
From: Adrian Bunk <bunk@stusta.de>

Is it planned to ever #define IF_64BIT_DMA_IS_POSSIBLE ?

If not, the patch below removes this currently completely unused code.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/block/sx8.c |   30 ++++++------------------------
 1 files changed, 6 insertions(+), 24 deletions(-)

diff -puN drivers/block/sx8.c~drivers-block-sx8c-remove-unused-code drivers/block/sx8.c
--- 25/drivers/block/sx8.c~drivers-block-sx8c-remove-unused-code	2005-05-02 18:42:30.000000000 -0700
+++ 25-akpm/drivers/block/sx8.c	2005-05-02 18:42:30.000000000 -0700
@@ -176,7 +176,6 @@ enum {
 	FL_NON_RAID		= FW_VER_NON_RAID,
 	FL_4PORT		= FW_VER_4PORT,
 	FL_FW_VER_MASK		= (FW_VER_NON_RAID | FW_VER_4PORT),
-	FL_DAC			= (1 << 16),
 	FL_DYN_MAJOR		= (1 << 17),
 };
 
@@ -1565,7 +1564,6 @@ static int carm_init_one (struct pci_dev
 {
 	static unsigned int printed_version;
 	struct carm_host *host;
-	unsigned int pci_dac;
 	int rc;
 	request_queue_t *q;
 	unsigned int i;
@@ -1581,28 +1579,12 @@ static int carm_init_one (struct pci_dev
 	if (rc)
 		goto err_out;
 
-#if IF_64BIT_DMA_IS_POSSIBLE /* grrrr... */
-	rc = pci_set_dma_mask(pdev, 0xffffffffffffffffULL);
-	if (!rc) {
-		rc = pci_set_consistent_dma_mask(pdev, 0xffffffffffffffffULL);
-		if (rc) {
-			printk(KERN_ERR DRV_NAME "(%s): consistent DMA mask failure\n",
-				pci_name(pdev));
-			goto err_out_regions;
-		}
-		pci_dac = 1;
-	} else {
-#endif
-		rc = pci_set_dma_mask(pdev, 0xffffffffULL);
-		if (rc) {
-			printk(KERN_ERR DRV_NAME "(%s): DMA mask failure\n",
-				pci_name(pdev));
-			goto err_out_regions;
-		}
-		pci_dac = 0;
-#if IF_64BIT_DMA_IS_POSSIBLE /* grrrr... */
+	rc = pci_set_dma_mask(pdev, 0xffffffffULL);
+	if (rc) {
+		printk(KERN_ERR DRV_NAME "(%s): DMA mask failure\n",
+			pci_name(pdev));
+		goto err_out_regions;
 	}
-#endif
 
 	host = kmalloc(sizeof(*host), GFP_KERNEL);
 	if (!host) {
@@ -1614,7 +1596,7 @@ static int carm_init_one (struct pci_dev
 
 	memset(host, 0, sizeof(*host));
 	host->pdev = pdev;
-	host->flags = pci_dac ? FL_DAC : 0;
+	host->flags = 0;
 	spin_lock_init(&host->lock);
 	INIT_WORK(&host->fsm_task, carm_fsm_task, host);
 	init_MUTEX_LOCKED(&host->probe_sem);
_
